1.1
1.1
get /v1/archiving-policies
Description
아카이빙 정책 목록을 검색한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | bucket_id required | 버킷 아이디 Example : 138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ArchivingPolicyListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/archiving-policies?bucket_id={bucket_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = archivestorage 1.1"
Example HTTP response
Response 200
{
"count": 1,
"bucket_id": "138c2-fc8c2-9a449-dbfa86-81f8f-1d78e2",
"archiving_source_bucket_name": "obs-bucket-name",
"archiving_policies": [
{
"id": "SCH-XXXXXXX",
"object_lifecycle": "1",
"object_path": "/",
"state": "ACTIVE"
}
]
}